1. Voices
Dialgood
  • DG
    • Call Control
      • Mute an active call
      • Unmute an active call
      • Clear Outbound Call Queue
      • Message Announcement
    • Live Status
      • Get transcript and transcript entries for a campaign
      • Get normalized call status and CDR details for a campaign
    • Voices
      • List available voices with optional filters and pagination
        GET
    • Calls
      • Place Outbound Call
      • Get Live Call Transcript
      • Get Call Transcript
      • Get Call Records
      • Get Call Recording
    • Agents
      • Get Agents
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • outbound body
    • ErrorResponse
    • ProxyControlRequestBody
    • ProxyControlResponse
    • LiveTranscriptEntry
    • LiveTranscriptResponse
    • CdrStatusResponse
    • VoiceLabels
    • Voice
    • VoicesPaginatedResponse
  1. Voices

List available voices with optional filters and pagination

GET
/external/v1/voices
Returns voices for one vendor at a time.
Supported vendor values:
elevenlabs (default)
deepgram
whisper
microsoft
google
cartesia
Filtering:
gender exact match (case-insensitive)
accent exact match (case-insensitive)
name contains match (case-insensitive)
Pagination:
page default 1
limit default 10

Request

Authorization
API Key
Add parameter in header
api_token
Example:
api_token: ********************
or
API Key
Add parameter in query
api_token
Example:
api_token: ********************
or
Query Params

Responses

🟢200
application/json
Voice list response
Body

🔴500
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/external/v1/voices?vendor&page&limit&gender&accent&name' \
--header 'api_token: <api-key>'
Response Response Example
200 - elevenlabs
{
    "voices": [
        {
            "voice_id": "EXAVITQu4vr4xnSDxMaL",
            "name": "Rachel",
            "category": "premade",
            "description": "Warm and natural",
            "preview_url": "https://cdn.example.com/preview/rachel.mp3",
            "labels": {
                "gender": "female",
                "accent": "american"
            },
            "metadata": {}
        }
    ],
    "totalVoices": 102,
    "totalPages": 11,
    "currentPage": 1,
    "filters": {
        "gender": [
            "female",
            "male"
        ],
        "accent": [
            "american",
            "british"
        ]
    }
}
Modified at 2026-03-06 05:03:20
Previous
Get normalized call status and CDR details for a campaign
Next
Place Outbound Call
Built with